package com.flowjo.plugin.flowai.utils;

import javax.swing.JTextField;

import com.treestar.lib.gui.numberfields.DoubleTextFieldDocument;
import com.treestar.lib.gui.numberfields.FJFormattedTextField;

public class MyDoubleRangeTextField extends FJFormattedTextField
{

	private static final long serialVersionUID = 6843509013910406407L;
	protected double fMin = Double.NaN;
	protected double fMax = Double.NaN;

	public MyDoubleRangeTextField(double min, double max)
	{
		fMin = min;
		fMax = max;
		
		if (fMin != Double.NaN && fMax != Double.NaN && fMin > fMax) {
			fMin = Double.NaN;
			fMax = Double.NaN;
		}
		
		this.setDocument(new DoubleTextFieldDocument());
		//this.setInputVerifier(dv);
		setHorizontalAlignment(JTextField.RIGHT);
	}
	
	public double getDouble()
	{
		return Double.parseDouble(getText());
	}

	public void setDouble(double d)
	{
		if (fMin != Double.NaN && d < fMin) 
			d = fMin;
		if (fMax != Double.NaN && d > fMax) 
			d = fMax;		
		setValue("" + d);
	}

}
